@ECHO OFF


setlocal

cd /d "%~dp0"


set MEMORYFILE=etc\VCSSL_Memory.ini

type nul > %MEMORYFILE%

SET MEMORYLINE=



	ECHO  - VCSSL -
	ECHO ----------------------------------------------------------------------
	ECHO.
	ECHO   Welcome !
	ECHO.
	ECHO   Please input the memory allocation size [ MB ],
	ECHO   ande press Enter key.
	ECHO.
	ECHO   If you want to use the default setting,
	ECHO.  please Enter key without inputting anything.
	ECHO.
	ECHO ======================================================================
	ECHO.
	SET /P MEMORYLINE="Memory allocation size [ MB ] = "
	ECHO.
	ECHO The memory allocation size have set as the above.
	ECHO This setting is stored in the file folling file: %MEMORYFILE%
	ECHO.
	ECHO.



SET /A MEMORYLINE_NUM = MEMORYLINE + 0
IF "%MEMORYLINE%"=="%MEMORYLINE_NUM%" (
	ECHO %MEMORYLINE_NUM%>>%MEMORYFILE%
) ELSE (
	ECHO.
)

ECHO. >>%MEMORYFILE%

pause



endlocal

